Positions Resource
Positions are points in the world defined by a latitude-longitude pair.
Places near a position
Find places that are near a point in the world, defined by a comma separated latitude-longitude pair.
GET http://api.qype.com/v1/positions/{latitude},{longitude}/places
| required URI parameters | |
|---|---|
{latitude} | Latitude part of the position |
{longitude} | Longitude of the position |
| optional query parameters | |
|---|---|
show={search_term} | Search for nearby places matching the search_term |
in_category={category_id} | Only show nearby places in one or more categories (comma-separated). This doesn't work together with the show parameter. |
order={order} | order results by: 'distance' or 'rating' |
radius={radius} | Show places within this radius, in kilometers, with a maximum of 10 (default is 0.5km). Note that if no places are found within the given radius, the API will fall back to a larger radius and repeat the search (see next parameter) |
fallback_radius={radius} | When set to a value greater than 0, the API will redo searches using this radius when no places could be found using the initial radius setting. Set to 0 to disable fallback searches entirely. |
Recommended places near a position
Retrieves personalized place recommendations around the given position. Recommendations are based on interaction of the user with the site, such as writing reviews.
The request must be signed (cf. Read/Write Access).
GET http://api.qype.com/v1/positions/{latitude},{longitude}/recommended_places
| required URI parameters | |
|---|---|
{latitude} | Latitude part of the position |
{longitude} | Longitude of the position |
| optional query parameters | |
|---|---|
in_category={category_id} | Only show nearby places in one or more categories (comma-separated). This doesn't work together with the show parameter. |
order={order} | order results by: 'distance' or 'rating' |
radius={radius} | Show places within this radius, in kilometers with a maximum of 10, the default is 2km |
Places with friends near a position
Retrieves places around the given position where friends of the requesting user are currently checked-in (cf. Checkins Resource).
The request must be signed (cf. Read/Write Access).
GET http://api.qype.com/v1/positions/{latitude},{longitude}/places_with_friends
| required URI parameters | |
|---|---|
{latitude} | Latitude part of the position |
{longitude} | Longitude of the position |
| optional query parameters | |
|---|---|
radius={radius} | Show places within this radius, in kilometers with a maximum of 10, the default is 5km |
Places with coupons near a position
Retrieves places around the given position that have a special offer (coupon/voucher) attached to them (cf. Coupons Resource).
GET http://api.qype.com/v1/positions/{latitude},{longitude}/places_with_coupons
| required URI parameters | |
|---|---|
{latitude} | Latitude part of the position |
{longitude} | Longitude of the position |
| optional query parameters | |
|---|---|
radius={radius} | Show places within this radius, in kilometers with a maximum of 10, the default is 5km |